%define gl_datadir %{_datadir}/%{name}
%define gl_homedir %{_sharedstatedir}/%{name}

Name:           gitolite
Summary:        Git hosting tool
Version:        3.6.12
Release:        %mkrel 4
License:        GPLv2
Group:          Development/Other
URL:            http://sitaramc.github.com/gitolite/
Source0:         https://github.com/sitaramc/gitolite/archive/v%{version}/%{name}-%{version}.tar.gz
# Upstream: https://github.com/sitaramc/gitolite/commit/c656af01b73a5cc4f80512
Source1:        compile-1
# From Fedora: https://src.fedoraproject.org/rpms/gitolite3/blob/master/f/gitolite3-README-fedora
Source2:        gitolite-README-fedora
# From upstream: reduce stat() and other expensive calls on large installs
#Patch0:         https://github.com/sitaramc/gitolite/commit/41b7885b77.patch
# From upstream: allow orphan gl-conf files
#Patch1:         https://github.com/sitaramc/gitolite/commit/c4b6521a4b.patch

# For rpm-helper macros
BuildRequires:  rpm-helper

# For runtime usage of rpm-helper
Requires(pre):  rpm-helper >= %{rpmhelper_required_version}
Requires:		git

BuildArch:      noarch

%description
Gitolite allows you to setup git hosting on a central server, with
fine-grained access control and many more powerful features.

%prep
%autosetup -p1

cp %{SOURCE2} .

%build
# Nothing to build

%install
# Directories
install -d %{buildroot}%{gl_homedir}
install -d %{buildroot}%{gl_homedir}/.ssh
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{gl_datadir}

# Code
cp -a src/lib/Gitolite %{buildroot}%{perl_vendorlib}
echo "%{version}-%{release}" > src/VERSION
cp -a src/* %{buildroot}%{gl_datadir}
cp %{SOURCE1} %{buildroot}%{gl_datadir}/commands/

install -D -m755 check-g2-compat %{buildroot}%{_bindir}/check-g2-compat
install -D -m755 convert-gitosis-conf %{buildroot}%{_bindir}/convert-gitosis-conf
ln -sr %{buildroot}%{gl_datadir}/gitolite %{buildroot}%{_bindir}/gitolite

# empty authorized_keys file
touch %{buildroot}%{gl_homedir}/.ssh/authorized_keys

%pre
%_pre_useradd %{name} %{gl_homedir} /bin/sh

%postun
%_postun_userdel %{name}

%files
%doc CHANGELOG README.markdown gitolite-README-fedora
%license COPYING
%{_bindir}/gitolite
%{_bindir}/check-g2-compat
%{_bindir}/convert-gitosis-conf
%{perl_vendorlib}/*
%{gl_datadir}
# Make homedir non-world readable
%attr(750,%{name},%{name}) %dir %{gl_homedir}
%attr(750,%{name},%{name}) %dir %{gl_homedir}/.ssh
%config(noreplace) %attr(640,%{name},%{name}) %{gl_homedir}/.ssh/authorized_keys


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.6.12-4.mga10
+ Revision: 2209625
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 3.6.12-3.mga9
+ Revision: 1820447
- Mageia 9 Mass Rebuild

* Tue Dec 29 2020 bcornec <bcornec> 3.6.12-2.mga8
+ Revision: 1664734
- Fix mga#26148 by adding a git dependency

* Wed Sep 02 2020 bcornec <bcornec> 3.6.12-1.mga8
+ Revision: 1621156
- Update to upstream gitolite 3.6.12

* Fri Feb 14 2020 umeabot <umeabot> 3.6.11-2.mga8
+ Revision: 1522140
- Mageia 8 Mass Rebuild

* Sat Jan 19 2019 shlomif <shlomif> 3.6.11-1.mga7
+ Revision: 1358126
- New version 3.6.11 ( mga#24210 )
+ bcornec <bcornec>
- Remove now useless patches for gitolite

* Sun Oct 21 2018 bcornec <bcornec> 3.6.10-1.mga7
+ Revision: 1323361
- update to upstream gitolite 3.6.10 to fix mga#23680

* Thu Sep 20 2018 umeabot <umeabot> 3.6.7-2.mga7
+ Revision: 1278411
- Mageia 7 Mass Rebuild

* Mon May 28 2018 ngompa <ngompa> 3.6.7-1.mga7
+ Revision: 1232837
- Update to gitolite 3.6.7
- Backport patches from upstream to improve performance
- Backport compile-1 command from upstream for Pagure
- Automatically create the gitolite user on install
- Copy gitolite-README-fedora from Fedora to offer hints on gitolite setup

* Sat Feb 18 2017 shlomif <shlomif> 3.6.6-1.mga6
+ Revision: 1086764
- New version 3.6.6.

* Mon Jan 04 2016 shlomif <shlomif> 3.6.4-1.mga6
+ Revision: 919494
- New version 3.6.4

* Fri Jun 26 2015 shlomif <shlomif> 3.6.3-1.mga6
+ Revision: 844516
- New version 3.6.3

* Wed Oct 15 2014 umeabot <umeabot> 3.5.3.1-4.mga5
+ Revision: 750906
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.3.1-3.mga5
+ Revision: 679596
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 3.5.3.1-2.mga5
+ Revision: 617895
- New version 3.5.3.1

* Sat Oct 19 2013 umeabot <umeabot> 3.5.1-2.mga4
+ Revision: 527568
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 colin <colin> 3.5.1-1.mga4
+ Revision: 441253
- New version: 3.5.1

* Sat Jan 12 2013 umeabot <umeabot> 3.3-2.mga3
+ Revision: 351600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 boklm <boklm> 3.3-1.mga3
+ Revision: 336433
- Version 3.3

* Sun Dec 30 2012 boklm <boklm> 3.04-1.mga3
+ Revision: 336427
- imported package gitolite

